require 'bootstrap-sass'
require 'font-awesome-rails'
require 'ionicons-rails'

module Hackathon
  module Starter
    module Ui
      module Rails
        class Engine < ::Rails::Engine
          initializer :after_append_asset_paths, :group => :all, :after => :append_assets_path do |app|
            ::Hackathon::Starter::Ui.load!
            app.config.assets.paths.unshift File.join(::Hackathon::Starter::Ui.stylesheets_path, 'hackathon-starter-ui-rails')
          end
        end
      end
    end
  end
end